
clientLanguage = Turbine.Engine:GetLanguage();

EN = Turbine.Language.English;
DE = Turbine.Language.German;
FR = Turbine.Language.French;

_LANG = {
    ["WINDOW"] = {
        ["DRAG_BAR_TITLE"] = {
            [EN] = "Soliloquy Tracker";
            [DE] = "Selbstgespr\195\164ch Tracker";
        };
    };

    ["CHAT"] = {
        ["SOLILOQUY_OF_SPIRIT_PATTERN"] = {
            [EN] = "benefit with Soliloquy of .*Spirit on (.*).";

            -- Der Akuserian wandte "Vorteil" mit "Selbstgespr\195\164ch des Geistes" auf den Akuserian an.
            -- Resonanz:
                -- Die Tijdloos wandte "Vorteil" mit "Selbstgespr\195\164ch des Geistes" auf die Tijdloos an.
                -- Die Tijdloos wandte "kritischer Vorteil" mit "Selbstgespr\195\164ch des Geistes" auf die Tijdloos an.
            -- Dissonanz:
                -- Die Tijdloos wandte "Vorteil" mit "Selbstgespr\195\164ch meines Geistes" auf die Tijdloos an.
                -- Die Tijdloos wandte "kritischer Vorteil" mit "Selbstgespr\195\164ch meines Geistes" auf die Tijdloos an.
            [DE] = "wandte \".*Vorteil\" mit \"Selbstgespr\195\164ch .* Geistes\" auf d[ie][en] (.*) an.";

            -- Tijdloos a appliqu\195\169 un b\195\169n\195\169fice avec Esprit de soliloque Tijdloos.
            -- Tijdloos a appliqu\195\169 un b\195\169n\195\169fice critique avec Esprit de soliloque Tijdloos.
            [FR] = " a appliqu\195\169 un b\195\169n\195\169fice .*avec Esprit de soliloque (.*).";
        };
        ["SPECIALIZATION_CHANGED"] = {
            [EN] = "You have acquired the Class Specialization Bonus Trait: (.*)";
            -- Ihr habt diese Bonus-Eigenschaft f\195\188r Klassenspezialisierung erlangt: Der W\195\164chter der Entschlossenheit.
            [DE] = "Ihr habt diese Bonus-Eigenschaft f\195\188r Klassenspezialisierung erlangt: (.*)";
            -- Vous avez obtenu le trait bonus de sp\195\169cialisation de classe : Skalde guerrier.
            -- Vous avez obtenu le trait bonus de sp\195\169cialisation de classe : Veilleur d\195\169termin\195\169.
            [FR] = "Vous avez obtenu le trait bonus de sp\195\169cialisation de classe : (.*)";
        };
    };

    ["CLASS"] = {
        ["WATCHER_OF_RESOLVE"] = {
            [EN] = "The Watcher of Resolve.\n";
            [DE] = "Der W\195\164chter der Entschlossenheit.\n";
            [FR] = "Veilleur d\195\169termin\195\169.\n";
        };
        ["SOLILOQUY_OF_SPIRIT"] = {
            [EN] = "Soliloquy of Spirit";
            [DE] = "Selbstgespr\195\164ch des Geistes";
            [FR] = "Esprit de soliloque";
        };
    };

    ["OPTIONS"] = {
        ["USE_SOLILOQUY_TRACKER"] = {
            [EN] = "Use Soliloquy Tracker";
            [DE] = "Benutze Selbstgespr\195\164ch Tracker";
        };
    };
};

function GetString(text)
    -- use clientLanguage, it's always right

    -- If they passed in a non-existant thing, return an empty string
    if (text == nil) then return ""; end

    -- If the text is present in the language, return it
    if (text[clientLanguage] ~= nil) then return text[clientLanguage]; end

    -- Otherwise, fall back to English
    return text[EN];
end
