
clientLanguage = Turbine.Engine:GetLanguage();

EN = Turbine.Language.English;
DE = Turbine.Language.German;
FR = Turbine.Language.French;

_LANG = {
    ["WINDOW"] = {
        ["DRAG_BAR_TITLE"] = {
            [EN] = "Soliloquy Tracker";
            [DE] = "Selbstgespräch Tracker";
        };
    };

    ["CHAT"] = {
        ["SOLILOQUY_OF_SPIRIT_PATTERN"] = {
            [EN] = "benefit with Soliloquy of .*Spirit on (.*).";

            -- Der Akuserian wandte "Vorteil" mit "Selbstgespräch des Geistes" auf den Akuserian an.
            -- Resonanz:
                -- Die Tijdloos wandte "Vorteil" mit "Selbstgespräch des Geistes" auf die Tijdloos an.
                -- Die Tijdloos wandte "kritischer Vorteil" mit "Selbstgespräch des Geistes" auf die Tijdloos an.
            -- Dissonanz:
                -- Die Tijdloos wandte "Vorteil" mit "Selbstgespräch meines Geistes" auf die Tijdloos an.
                -- Die Tijdloos wandte "kritischer Vorteil" mit "Selbstgespräch meines Geistes" auf die Tijdloos an.
            [DE] = "wandte \".*Vorteil\" mit \"Selbstgespräch .* Geistes\" auf d[ie][en] (.*) an.";

            -- Tijdloos a appliqué un bénéfice avec Esprit de soliloque Tijdloos.
            -- Tijdloos a appliqué un bénéfice critique avec Esprit de soliloque Tijdloos.
            [FR] = " a appliqué un bénéfice .*avec Esprit de soliloque (.*).";
        };
        ["SPECIALIZATION_CHANGED"] = {
            [EN] = "You have acquired the Class Specialization Bonus Trait: (.*)";
            -- Ihr habt diese Bonus-Eigenschaft für Klassenspezialisierung erlangt: Der Wächter der Entschlossenheit.
            [DE] = "Ihr habt diese Bonus-Eigenschaft für Klassenspezialisierung erlangt: (.*)";
            -- Vous avez obtenu le trait bonus de spécialisation de classe : Skalde guerrier.
            -- Vous avez obtenu le trait bonus de spécialisation de classe : Veilleur déterminé.
            [FR] = "Vous avez obtenu le trait bonus de spécialisation de classe : (.*)";
        };
    };

    ["CLASS"] = {
        ["WATCHER_OF_RESOLVE"] = {
            [EN] = "The Watcher of Resolve.\n";
            [DE] = "Der Wächter der Entschlossenheit.\n";
            [FR] = "Veilleur déterminé.\n";
        };
        ["SOLILOQUY_OF_SPIRIT"] = {
            [EN] = "Soliloquy of Spirit";
            [DE] = "Selbstgespräch des Geistes";
            [FR] = "Esprit de soliloque";
        };
    };

    ["OPTIONS"] = {
        ["USE_SOLILOQUY_TRACKER"] = {
            [EN] = "Use Soliloquy Tracker";
            [DE] = "Benutze Selbstgespräch Tracker";
        };
    };
};

function GetString(text)
    -- use clientLanguage, it's always right

    -- If they passed in a non-existant thing, return an empty string
    if (text == nil) then return ""; end

    -- If the text is present in the language, return it
    if (text[clientLanguage] ~= nil) then return text[clientLanguage]; end

    -- Otherwise, fall back to English
    return text[EN];
end
